Remove a number from the SMS suppression list

DELETE
/v1/sms/suppressions/{id}

Sends to the number go out again. Remove an opt-out only when the person asked to receive messages again (they can also reply START).

Authorization

bearerAuth
headerAuthorizationBearer <token>

A secret API key from the dashboard: coss_live_… for production environments, coss_test_… for sandbox environments.

Path Parameters

id*string

The entry's id.

Header Parameters

Coss-Version?"2026-10-10"

The API version (a date) to use for this request. Defaults to your organization's version, pinned to the latest one when it first used the API and upgraded from the dashboard. The SDK always sends the version it was built for.

Value in"2026-10-10"

Response Body

The entry was removed.

application/json
  1. response
object*"sms_suppression"
Value in"sms_suppression"
id*string
deleted*true
Value intrue
import { Coss } from "coss";const coss = new Coss({  apiKey: process.env.COSS_API_KEY,  baseUrl: "https://api.coss.com",});const { data, error } = await coss.sms.suppressions.remove("smssup_01k7c8m4q2f3e9v6t5r1n0p8yz");
{  "object": "sms_suppression",  "id": "smssup_01k7c8m4q2f3e9v6t5r1n0p8yz",  "deleted": true}